> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Order

Retrieve detailed information about a specific order by its ID.


## OpenAPI

````yaml GET /orders/{order}
openapi: 3.1.0
info:
  title: Garden API
  version: 2.0.0
  description: API specification for various endpoints.
servers:
  - url: https://{environment}.garden.finance/v2
    variables:
      environment:
        default: api
        enum:
          - api
          - testnet.api
security:
  - garden-app-id: []
paths:
  /orders/{order}:
    get:
      summary: Get matched order by ID.
      parameters:
        - in: path
          name: order
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Object with order details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
components:
  schemas:
    OrderResponse:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          required:
            - result
          properties:
            result:
              $ref: '#/components/schemas/Order'
    Response:
      type: object
      properties:
        status:
          type: string
          enum:
            - Ok
            - Error
        error:
          type: string
          nullable: true
    Order:
      type: object
      properties:
        order_id:
          description: A unique identifier for the order.
          type: string
        created_at:
          description: Timestamp of order creation.
          type: string
        source_swap:
          $ref: '#/components/schemas/Swap'
        destination_swap:
          $ref: '#/components/schemas/Swap'
        nonce:
          description: Nonce for the order.
          type: string
        deadline:
          description: Unix timestamp after which the order expires.
          type: integer
        affiliate_fees:
          type: array
          description: Integrator fees associated with the order.
          items:
            $ref: '#/components/schemas/AffiliateFee'
        integrator:
          type: string
        version:
          type: string
        solver_id:
          type: string
    Swap:
      type: object
      properties:
        created_at:
          description: Timestamp of order creation.
          type: string
        swap_id:
          description: A unique identifier for the swap.
          type: string
        chain:
          $ref: '#/components/schemas/Chain'
        asset:
          $ref: '#/components/schemas/Asset'
        initiator:
          description: Address transferring funds.
          type: string
        redeemer:
          description: Address receiving funds.
          type: string
        delegate:
          description: Address that performed the swap for the user, if applicable.
          type: string
        timelock:
          description: Timelock for the swap (in block numbers).
          type: integer
        filled_amount:
          description: |-
            Amount that has been filled.
            **Default:** "0"
          type: string
        asset_price:
          description: Price of the asset during swap.
          type: integer
        amount:
          type: string
        secret_hash:
          description: SHA256 of the secret.
          type: string
        secret:
          description: |-
            The secret used to lock the funds on-chain.
            **Default:** "" *(empty string)*
          type: string
        instant_refund_tx:
          description: >-
            **(Optional)** Instant refund transaction bytes. Only available for
            source swaps on UTXO-based chains. **Example:** Bitcoin.
          type: string
        initiate_tx_hash:
          description: |-
            On-chain transaction hash of initiate.
            **Default:** "" *(empty string)*
          type: string
        redeem_tx_hash:
          description: |-
            On-chain transaction hash of redeem.
            **Default:** "" *(empty string)*
          type: string
        refund_tx_hash:
          description: |-
            On-chain transaction hash of refund.
            **Default:** "" *(empty string)*
          type: string
        initiate_block_number:
          description: |-
            Block number of the initiate transaction.
            **Default:** "0"
          type: string
        redeem_block_number:
          description: |-
            Block number of the redeem transaction.
            **Default:** "0"
          type: string
        refund_block_number:
          description: |-
            Block number of the refund transaction.
            **Default:** "0"
          type: string
        required_confirmations:
          description: Number of confirmations required.
          type: integer
        current_confirmations:
          description: |-
            Number of confirmations received so far.
            **Default:** 0
          type: integer
        initiate_timestamp:
          type: string
          nullable: true
        redeem_timestamp:
          type: string
          nullable: true
        refund_timestamp:
          type: string
          nullable: true
    AffiliateFee:
      type: object
      required: []
      properties:
        address:
          description: Address of the affiliate.
          type: string
        asset:
          $ref: '#/components/schemas/AffiliateFeeAsset'
        fee:
          type: integer
          description: In BIPS (base index points), 100 bips = 1%.
          example: 10
    Chain:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum
            - ethereum
            - bitcoin
            - base
            - bnbchain
            - botanix
            - citrea
            - hyperevm
            - litecoin
            - monad
            - solana
            - starknet
            - tron
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia
            - alpen_signet
            - alpen_testnet
            - base_sepolia
            - bitcoin_testnet
            - bnbchain_testnet
            - citrea_testnet
            - ethereum_sepolia
            - litecoin_testnet
            - monad_testnet
            - solana_testnet
            - starknet_sepolia
            - tron_shasta
            - xrpl_testnet
    Asset:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum:wbtc
            - ethereum:wbtc
            - arbitrum:ibtc
            - base:cbbtc
            - bitcoin:btc
            - bnbchain:btcb
            - botanix:btc
            - citrea:cbtc
            - ethereum:cbbtc
            - ethereum:usdt
            - hyperevm:ubtc
            - litecoin:ltc
            - monad:mon
            - monad:usdc
            - solana:cbbtc
            - solana:sol
            - solana:usdc
            - starknet:wbtc
            - tron:usdt
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia:wbtc
            - ethereum_sepolia:wbtc
            - alpen_signet:btc
            - alpen_testnet:sbtc
            - alpen_testnet:usdc
            - arbitrum_sepolia:ibtc
            - arbitrum_sepolia:seed
            - arbitrum_sepolia:usdc
            - base_sepolia:cbltc
            - base_sepolia:cbxrp
            - base_sepolia:ibtc
            - base_sepolia:usdc
            - base_sepolia:usdt
            - base_sepolia:wbtc
            - bitcoin_testnet:btc
            - bnbchain_testnet:wbtc
            - citrea_testnet:cbbtc
            - citrea_testnet:cbtc
            - citrea_testnet:usdc
            - citrea_testnet:usdt
            - citrea_testnet:wbtc
            - citrea_testnet:wcbtc
            - ethereum_sepolia:usdc
            - litecoin_testnet:ltc
            - monad_testnet:cbbtc
            - monad_testnet:usdc
            - solana_testnet:cbbtc
            - solana_testnet:sol
            - solana_testnet:usdc
            - starknet_sepolia:wbtc
            - tron_shasta:usdt
            - tron_shasta:wbtc
            - xrpl_testnet:xrp
    AffiliateFeeAsset:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum:usdc
            - arbitrum:cbbtc
            - base:usdc
            - base:cbbtc
            - ethereum:usdc
            - ethereum:cbbtc
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia:usdc
            - base_sepolia:usdc
            - citrea_testnet:usdc
            - citrea_testnet:cbbtc
            - ethereum_sepolia:usdc
            - monad_testnet:usdc
            - monad_testnet:cbbtc
  securitySchemes:
    garden-app-id:
      type: apiKey
      name: garden-app-id
      in: header
      description: >-
        If you do not yet have an app ID, please follow these
        [steps](/api-reference/setup).

````